<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace EventcorrelationModule\Controller;

use Cake\ORM\TableRegistry;
use EventcorrelationModule\Model\Table\EventcorrelationSettingsTable;
use itnovum\openITCOCKPIT\Core\FileDebugger;

class EventcorrelationSettingsController extends AppController {

    public function index() {
        if (!$this->isApiRequest()) {
            //Only ship HTML template for angular
            return;
        }

        /** @var EventcorrelationSettingsTable $EventcorrelationSettingsTable */
        $EventcorrelationSettingsTable = TableRegistry::getTableLocator()->get('EventcorrelationModule.EventcorrelationSettings');

        $currentEventcorrelationSettings = $EventcorrelationSettingsTable->getCurrentEventcorrelationSettings();

        if ($this->request->is('post')) {
            //Save new settings
            $currentEventcorrelationSettings = $EventcorrelationSettingsTable->patchEntity(
                $currentEventcorrelationSettings,
                $this->request->getData('EventcorrelationSetting', [])
            );

            if ($currentEventcorrelationSettings->hasErrors()) {
                $this->response = $this->response->withStatus(400);
                $this->set('error', $currentEventcorrelationSettings->getErrors());
                $this->viewBuilder()->setOption('serialize', ['error']);
                return;
            }

            $EventcorrelationSettingsTable->save($currentEventcorrelationSettings);
        }

        // Response to GET request
        $this->set('currentEventcorrelationSettings', $currentEventcorrelationSettings);
        $this->viewBuilder()->setOption('serialize', ['currentEventcorrelationSettings']);
    }

}
