<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace EventcorrelationModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * Eventcorrelation Entity
 *
 * @property int $id
 * @property int|null $parent_id
 * @property int $lft
 * @property int $rght
 * @property int|null $host_id
 * @property int|null $service_id
 * @property string|null $operator
 *
 * @property \App\Model\Entity\Host $host
 * @property \App\Model\Entity\Service $service
 */
class Eventcorrelation extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'parent_id'  => true,
        'lft'        => true,
        'rght'       => true,
        'host_id'    => true,
        'service_id' => true,
        'operator'   => true,
        'host'       => true,
        'service'    => true
    ];
}
