<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<div class="map-summary-state-popover col-xs-12 animated slideInRight slightBorder"
     ng-if="service"
     ng-click="hideTooltip($event)"
     ng-mouseover="stopInterval()"
     ng-mouseleave="startInterval()">
    <section>
        <article>
            <div class="bg-color-white padding-top-10 padding-left-10 padding-bottom-10">
                <header>
                    <h4 class="bold txt-color-blueDark">
                        <i class="fa fa-cog fa-lg txt-color-blueDark"></i>
                        <?php echo __('Service'); ?>
                        <span class="text-danger" ng-if="service.disabled">
                                <?php echo __(' (DISABLED)'); ?>
                            </span>
                    </h4>
                    <div class="col-lg-12 no-padding no-margin">
                        <div class="tooltipProgressBar" style="width: {{percentValue}}%;"></div>
                    </div>
                </header>

                <div class="txt-color-blueDark font-xs padding-top-10 padding-bottom-10">
                    <div class="row">
                        <div class="col-4">
                            <?php echo __('Host name'); ?>
                        </div>
                        <div class="col-8 no-padding">
                            <?php if ($this->Acl->hasPermission('browser', 'hosts', '')): ?>
                                <a ui-sref="HostsBrowser({id: host.id})">
                                    {{host.hostname}}
                                </a>
                            <?php else: ?>
                                {{host.hostname}}
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <?php echo __('Host state'); ?>
                        </div>
                        <div ng-show="hoststatus.isInMonitoring"
                             class="col-8 text-center txt-color-white text-capitalize bg-{{(hoststatus.isHardstate)?hoststatus.humanState:hoststatus.humanState+'-soft'}}">
                            <span class="padding-5">{{hoststatus.humanState}}</span>
                            <i ng-show="hoststatus.problemHasBeenAcknowledged" class="fa fa-user"></i>
                            <i ng-show="hoststatus.scheduledDowntimeDepth > 0"
                               class="fa fa-power-off"></i>
                        </div>
                        <div ng-hide="hoststatus.isInMonitoring"
                             class="col-8 text-center txt-color-white bg-primary">
                            <?php echo __('Not in monitoring'); ?>
                            <i class="fa fa-eye-slash"></i>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <?php echo __('Service'); ?>
                        </div>
                        <div class="col-8 no-padding">
                            <?php if ($this->Acl->hasPermission('browser', 'services', '')): ?>
                                <a ui-sref="ServicesBrowser({id: service.id})">
                                    {{service.servicename}}
                                </a>
                            <?php else: ?>
                                {{service.servicename}}
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <?php echo __('Description'); ?>
                        </div>
                        <div class="col-8 no-padding">
                            {{service.description}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <?php echo __('State'); ?>
                        </div>
                        <div ng-show="servicestatus.isInMonitoring"
                             class="col-8 text-center txt-color-white text-capitalize bg-{{(servicestatus.isHardstate)?servicestatus.humanState:servicestatus.humanState+'-soft'}}">
                            <span class="padding-5">{{servicestatus.humanState}}</span>
                            <i ng-show="servicestatus.problemHasBeenAcknowledged"
                               class="fa fa-user"></i>
                            <i ng-show="servicestatus.scheduledDowntimeDepth > 0"
                               class="fa fa-power-off"></i>
                        </div>
                        <div ng-hide="servicestatus.isInMonitoring"
                             class="col-8 text-center txt-color-white bg-primary">
                            <?php echo __('Not in monitoring'); ?>
                            <i class="fa fa-eye-slash"></i>
                        </div>
                    </div>
                    <div ng-show="servicestatus.isInMonitoring">
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Output'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.output}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Perfdata'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.perfdata}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Current attempt'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.current_check_attempt}}/{{servicestatus.max_check_attempts}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Last check'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.lastCheck}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Next check'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.nextCheck}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-4">
                                <?php echo __('Last state change'); ?>
                            </div>
                            <div class="col-8 no-padding">
                                {{servicestatus.last_state_change}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </article>
    </section>
</div>
