<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

/**
 * @var \App\View\AppView $this
 * @var array $evcTree
 * @var \App\Model\Entity\Host $evcHost
 * @var \itnovum\openITCOCKPIT\Core\Views\UserTime $UserTime
 *
 */

use EventcorrelationModule\EvcTableRenderer;
use itnovum\openITCOCKPIT\Core\Views\ServicestatusIcon;
use itnovum\openITCOCKPIT\Core\Views\Logo;

$Logo = new Logo();
$css = \App\itnovum\openITCOCKPIT\Core\AngularJS\PdfAssets::getCssFiles();

?>
<head>
    <?php
    foreach ($css as $cssFile): ?>
        <link rel="stylesheet" type="text/css" href="<?= WWW_ROOT . $cssFile; ?>"/>
    <?php
    endforeach; ?>

    <style>
        <?= file_get_contents(PLUGIN . 'EventcorrelationModule' . DS . 'webroot' . DS . 'css/style_pdf.css'); ?>
    </style>

</head>
<body class="">

<div class="row">
    <div class="col-6 padding-left-15 font-lg">
        <i class="fa fa-sitemap fa-rotate-90" style="font-size: 20px!important;"></i>
        <?= __('Event correlation: '); ?>
        <?php echo h($evcHost->get('name')); ?>
    </div>
    <div class="col-6">
        <img class="float-right" src="<?php echo $Logo->getLogoPdfPath(); ?>" width="200"/>
    </div>
</div>
<div class="row">
    <div class="col-8 padding-bottom-10">
        <?= __('Date: '); ?>
        <?= $UserTime->format(time()); ?>
    </div>
</div>

<section id="widget-grid" class="no-bordered">
    <div class="well">
        <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12 no-bordered">
            <div class="jarviswidget no-bordered" data-widget-editbutton="false">
                <header class="no-bordered">
                    <h2 class="evcTitle">
                        <span class="padding-left-20 font-xs">
                            <?php for ($i = 0; $i <= 3; $i++): ?>
                                <?php $ServicestatusIcon = new ServicestatusIcon($i); ?>
                                <i class="fa fa-square no-padding <?php echo $ServicestatusIcon->getTextColor(); ?> ?> "></i>
                                <em class="padding-right-10 ">
                                    <?php echo $ServicestatusIcon->getHumanState(); ?>
                                </em>
                            <?php endfor; ?>
                            <?php $ServicestatusIcon = new ServicestatusIcon(null); ?>
                            <i class="fa fa-square no-padding not-monitored"></i>
                            <em class="padding-right-10">
                                <!-- Not monitored -->
                                <?php echo $ServicestatusIcon->getHumanState(); ?>
                            </em>
                        </span>
                    </h2>
                </header>
                <div class="widget-body no-bordered">
                    <?php
                    $EvcTableRenderer = new EvcTableRenderer($evcTree);
                    echo $EvcTableRenderer->getEvcDataAsTable();
                    ?>
                </div>
            </div>
        </article>
    </div>
</section>
</body>

