<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="EventcorrelationsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Eventcorrelation Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Service used by'); ?>
    </li>
</ol>

<massdelete></massdelete>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2><?php echo __('Service'); ?>
                    <span class="fw-300"><i>{{ service.host.name }}/{{ service.servicename }}</i>&nbsp;</span>
                    <?php echo __('is used by'); ?>
                    {{ eventcorrelations.length }}
                    <?php echo __('event correlations.'); ?>
                </h2>
                <?php if ($this->Acl->hasPermission('index', 'services', '')): ?>
                    <div class="panel-toolbar">
                        <a back-button href="javascript:void(0);" fallback-state='ServicesIndex' class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>

            <div class="panel-container show">
                <div class="panel-content">

                    <table class="table table-striped m-0 table-bordered table-hover table-sm">
                        <thead>
                        <tr>
                            <th class="no-sort">
                                <?php echo __('Event correlation name'); ?>
                            </th>
                            <th class="no-sort">
                                <?php echo __('Description'); ?>
                            </th>

                            <th class="no-sort text-center width-70">
                                <i class="fa fa-cog fa-lg"></i>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr ng-repeat="eventcorrelation in eventcorrelations">
                            <td>
                                <?php if ($this->Acl->hasPermission('view', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                    <a ui-sref="EventcorrelationsView({id:eventcorrelation.Hosts.id})"
                                       ng-if="eventcorrelation.hasViewPermission">
                                        &nbsp;{{ eventcorrelation.Hosts.name }}
                                    </a>
                                    <span ng-if="!eventcorrelation.hasViewPermission">{{ eventcorrelation.Hosts.name }}</span>
                                <?php else: ?>
                                    {{ eventcorrelation.Hosts.name }}
                                <?php endif; ?>
                            </td>
                            <td>
                                {{ eventcorrelation.Hosts.description }}
                            </td>
                            <td class="width-50">
                                <div class="btn-group btn-group-xs" role="group">
                                    <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                        <a ui-sref="EventcorrelationsEditCorrelation({id: eventcorrelation.Hosts.id, highlightServiceId: service.id})"
                                           ng-if="eventcorrelation.hasWritePermission"
                                           class="btn btn-default btn-lower-padding">
                                            <i class="fa fa-cog"></i>
                                        </a>
                                        <a href="javascript:void(0);"
                                           ng-if="!eventcorrelation.hasWritePermission"
                                           class="btn btn-default btn-lower-padding disabled">
                                            <i class="fa fa-cog"></i>
                                        </a>
                                    <?php else: ?>
                                        <a href="javascript:void(0);"
                                           class="btn btn-default btn-lower-padding disabled">
                                            <i class="fa fa-cog"></i></a>
                                    <?php endif; ?>
                                    <button type="button"
                                            class="btn btn-default dropdown-toggle btn-lower-padding"
                                            data-toggle="dropdown">
                                        <i class="caret"></i>
                                    </button>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <a ui-sref="EventcorrelationsEditCorrelation({id: eventcorrelation.Hosts.id, highlightServiceId: service.id})"
                                               ng-if="eventcorrelation.hasWritePermission"
                                               class="dropdown-item">
                                                <i class="fa fa-cog"></i>
                                                <?php echo __('Edit Correlation'); ?>
                                            </a>
                                        <?php endif; ?>
                                        <?php if ($this->Acl->hasPermission('edit', 'hosts', '')): ?>
                                            <a ui-sref="HostsEdit({id: eventcorrelation.Hosts.id})"
                                               ng-if="eventcorrelation.hasWritePermission"
                                               class="dropdown-item">
                                                <i class="fa fa-desktop"></i>
                                                <?php echo __('Edit host'); ?>
                                            </a>
                                        <?php endif; ?>
                                        <?php if ($this->Acl->hasPermission('usedBy', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <div class="dropdown-divider" ng-if="eventcorrelation.hasViewPermission"></div>
                                            <a class="dropdown-item"
                                               ui-sref="EventcorrelationsUsedBy({id: eventcorrelation.Hosts.id})"
                                               ng-if="eventcorrelation.hasViewPermission">
                                                <i class="fa fa-reply-all fa-flip-horizontal"></i>
                                                <?php echo __('Used by'); ?>
                                            </a>
                                        <?php endif; ?>

                                        <?php if ($this->Acl->hasPermission('view', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <div class="dropdown-divider" ng-if="eventcorrelation.hasViewPermission"></div>
                                            <a class="dropdown-item"
                                               ng-if="eventcorrelation.hasViewPermission"
                                               ui-sref="EventcorrelationsView({id: eventcorrelation.Hosts.id})">
                                                <i class="fa fa-eye"></i>
                                                <?php echo __('View'); ?>
                                            </a>

                                            <a class="dropdown-item"
                                               ng-href="/eventcorrelation_module/eventcorrelations/summary_view_table/{{eventcorrelation.Hosts.id}}.pdf"
                                               ng-if="eventcorrelation.hasViewPermission">
                                                <i class="far fa-file-pdf"></i>
                                                <?php echo __('Download as PDF'); ?>
                                            </a>
                                        <?php endif; ?>

                                        <?php if ($this->Acl->hasPermission('delete', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <div class="dropdown-divider" ng-if="eventcorrelation.hasWritePermission"></div>
                                            <a ng-click="confirmDelete(getObjectForDelete(eventcorrelation))"
                                               ng-if="eventcorrelation.hasWritePermission"
                                               href="javascript:void(0);"
                                               class="dropdown-item txt-color-red">
                                                <i class="fa fa-trash"></i>
                                                <?php echo __('Delete'); ?>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <div class="noMatch" ng-if="eventcorrelations.length == 0">
                        <div class="row">
                            <div class="col-12 text-center txt-color-red italic">
                                <?php echo __('This service is not used by any event correlation or you have insufficient permissions.'); ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

