<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Event Correlation Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="EventcorrelationsIndex">
            <i class="fas fa-list"></i> <?php echo __('Event Correlations'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-eye"></i> <?php echo __('Summary View'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Event Correlation as summary:'); ?>
                    <span class="fw-300"><i>{{evcHost.name}}</i></span>
                </h2>
                <div class="panel-toolbar">
                    <ul class="nav nav-tabs border-bottom-0 nav-tabs-clean" role="tablist">

                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" role="tab"
                               ui-sref="EventcorrelationsView({id: id})">
                                <i class="fa fa-sitemap fa-rotate-90">&nbsp;</i> <?php echo __('EVC Tree'); ?>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" role="tab"
                               ui-sref="EventcorrelationsSummaryView({id: id})">
                                <i class="fa fa-th-large">&nbsp;</i> <?php echo __('EVC Summary'); ?>
                            </a>
                        </li>
                    </ul>

                    <a ng-href="/eventcorrelation_module/eventcorrelations/summary_view_table/{{id}}.pdf"
                       class="btn btn-primary btn-xs mr-1 shadow-0">
                        <i class="fas fa-file-pdf"></i> <?php echo __('Download as PDF'); ?>
                    </a>

                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="setTemplateUrl()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>

                    <?php if ($this->Acl->hasPermission('index', 'eventcorrelations', 'EventcorrelationModule')): ?>
                        <a back-button href="javascript:void(0);" fallback-state='EventcorrelationsIndex'
                           class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
            <div class="panel-container show">

                <div class="panel-content frame-wrap">

                    <div class="padding-bottom-10">
                        <span class="no-padding">
                            <i class="fa fa-square no-padding ok"></i>
                            <em class="padding-right-10">
                                <?php
                                echo __('Ok');
                                ?>
                            </em>
                            <i class="fa fa-square no-padding warning"></i>
                            <em class="padding-right-10">
                                <?php
                                echo __('Warning');
                                ?>
                            </em>
                            <i class="fa fa-square no-padding critical"></i>
                            <em class="padding-right-10">
                                <?php
                                echo __('Critical');
                                ?>
                            </em>
                            <i class="fa fa-square no-padding unknown"></i>
                            <em class="padding-right-10">
                                <?php
                                echo __('Unknown');
                                ?>
                            </em>
                            <i class="fa fa-square no-padding text-primary"></i>
                            <em class="padding-right-10">
                                <?php
                                echo __('Not monitored');
                                ?>
                            </em>
                        </span>
                    </div>

                    <!-- EVC as Table -->
                    <div>
                        <div class="widget-body evkWidgetBody">

                            <!-- Load EVC as table dynamicaly -->
                            <div ng-include="templateUrl"></div>

                        </div>
                    </div>
                    <!-- EVC as Table end -->

                </div>
            </div>
        </div>
    </div>
</div>


<evc-servicestatus></evc-servicestatus>

