<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Event Correlation Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <?php if ($this->Acl->hasPermission('index', 'eventcorrelations', 'EventcorrelationModule')): ?>
            <a ui-sref="EventcorrelationsIndex">
                <i class="fas fa-list"></i> <?php echo __('Event Correlations'); ?>
            </a>
        <?php else: ?>
            <i class="fas fa-list"></i> <?php echo __('Event Correlations'); ?>
        <?php endif; ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-reply-all fa-flip-horizontal"></i> <?php echo __('Used by'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Event correlation'); ?>
                    <span class="fw-300">
                        <i>
                            <strong>
                                »{{ evcHost.name }}«
                            </strong>
                            <?php echo __('is used by'); ?>
                            {{ total }}
                            <?php echo __('event correlations.'); ?>
                        </i>
                    </span>
                </h2>
                <div class="panel-toolbar">
                    <?php if ($this->Acl->hasPermission('index', 'eventcorrelations', 'EventcorrelationModule')): ?>
                        <a back-button href="javascript:void(0);" fallback-state='EventcorrelationsIndex'
                           class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <table class="table table-striped m-0 table-bordered table-hover table-sm">
                        <thead>
                        <tr>
                            <th class="no-sort">
                                <?php echo __('Event correlation name'); ?>
                            </th>
                            <th class="no-sort">
                                <?php echo __('Description'); ?>
                            </th>
                            <th class="no-sort text-center width-15">
                                <i class="fa fa-cog"></i>
                            </th>
                        </tr>
                        </thead>

                        <tbody>
                        <tr ng-repeat="(evcHostId, evc) in usedBy">
                            <td>
                                <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                    <a ui-sref="EventcorrelationsEditCorrelation({id: evcHostId, highlightId: usedBy.id})">
                                        {{ evc.EvcHosts.name }}
                                    </a>
                                <?php else: ?>
                                    {{ evc.EvcHosts.name }}
                                <?php endif; ?>
                            </td>
                            <td>
                                {{ evc.EvcHosts.description }}
                            </td>
                            <td class="width-50">
                                <div class="btn-group btn-group-xs" role="group">
                                    <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                        <a ui-sref="EventcorrelationsEditCorrelation({id: evcHostId, highlightId: usedBy.id})"
                                           ng-if="evc.EvcHosts.hasWritePermission"
                                           class="btn btn-default btn-lower-padding">
                                            <i class="fa fa-cog"></i>
                                        </a>
                                        <a href="javascript:void(0);"
                                           ng-if="!evc.EvcHosts.hasWritePermission"
                                           class="btn btn-default btn-lower-padding disabled">
                                            <i class="fa fa-cog"></i>
                                        </a>
                                    <?php else: ?>
                                        <a href="javascript:void(0);"
                                           class="btn btn-default btn-lower-padding disabled">
                                            <i class="fa fa-cog"></i></a>
                                    <?php endif; ?>
                                    <button type="button"
                                            class="btn btn-default dropdown-toggle btn-lower-padding"
                                            data-toggle="dropdown">
                                        <i class="caret"></i>
                                    </button>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <a ui-sref="EventcorrelationsEditCorrelation({id: evcHostId, highlightId: usedBy.id})"
                                               ng-if="evc.EvcHosts.hasWritePermission"
                                               class="dropdown-item">
                                                <i class="fa fa-cog"></i>
                                                <?php echo __('Edit'); ?>
                                            </a>
                                        <?php endif; ?>
                                        <?php if ($this->Acl->hasPermission('usedBy', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <a class="dropdown-item"
                                               ui-sref="EventcorrelationsUsedBy({id: evcHostId})"
                                               ng-if="evc.EvcHosts.hasViewPermission">
                                                <i class="fa fa-reply-all fa-flip-horizontal"></i>
                                                <?php echo __('Used by'); ?>
                                            </a>
                                        <?php endif; ?>

                                        <?php if ($this->Acl->hasPermission('view', 'eventcorrelations', 'EventcorrelationModule')): ?>
                                            <div class="dropdown-divider" ng-if="evc.EvcHosts.hasViewPermission"></div>
                                            <a class="dropdown-item"
                                               ng-if="evc.EvcHosts.hasViewPermission"
                                               ui-sref="EventcorrelationsView({id: evcHostId})">
                                                <i class="fa fa-eye"></i>
                                                <?php echo __('View'); ?>
                                            </a>

                                            <a class="dropdown-item"
                                               ng-href="/eventcorrelation_module/eventcorrelations/summary_view_table/{{evcHostId}}.pdf"
                                               ng-if="evc.EvcHosts.hasViewPermission">
                                                <i class="far fa-file-pdf"></i>
                                                <?php echo __('Download as PDF'); ?>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div class="col-12 padding-10 text-center txt-color-red italic" ng-show="total == 0">
                        <?php echo __('This event correlation is not used by other event correlations'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
