<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Event Correlation Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="EventcorrelationsIndex">
            <i class="fas fa-list"></i> <?php echo __('Event Correlations'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-eye"></i> <?php echo __('View'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Event Correlation:'); ?>
                    <span class="fw-300"><i>{{rootElement.host.name}}</i></span>
                </h2>
                <div class="panel-toolbar">
                    <ul class="nav nav-tabs border-bottom-0 nav-tabs-clean" role="tablist">

                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" role="tab"
                               ui-sref="EventcorrelationsView({id: rootElement.host.id})">
                                <i class="fa fa-sitemap fa-rotate-90">&nbsp;</i> <?php echo __('EVC Tree'); ?>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" role="tab"
                               ui-sref="EventcorrelationsSummaryView({id: rootElement.host.id})">
                                <i class="fa fa-th-large">&nbsp;</i> <?php echo __('EVC Summary'); ?>
                            </a>
                        </li>
                    </ul>

                    <?php if ($this->Acl->hasPermission('view', 'documentations')): ?>
                        <a ui-sref="DocumentationsView({uuid:rootElement.host.uuid, type:'host'})"
                           class="btn btn-outline-secondary btn-xs mr-1 shadow-0">
                            <i class="fas fa-book"></i> <?php echo __('Documentation'); ?>
                        </a>
                    <?php endif; ?>

                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>

                    <?php if ($this->Acl->hasPermission('index', 'eventcorrelations', 'EventcorrelationModule')): ?>
                        <a back-button href="javascript:void(0);" fallback-state='EventcorrelationsIndex'
                           class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    <?php endif; ?>
                    <?php if ($this->Acl->hasPermission('editCorrelation', 'eventcorrelations', 'EventcorrelationModule')): ?>
                        <button ng-if="hasWritePermission"
                                class="btn btn-default btn-xs mr-1 shadow-0"
                                ui-sref="EventcorrelationsEditCorrelation({id: rootElement.host.id})">
                            <i class="fa fa-cog"></i> <?php echo __('Edit Correlation'); ?>
                        </button>
                    <?php endif; ?>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content frame-wrap">
                    <div class="padding-bottom-10">
                        <div class="no-padding d-flex">
                            <div>
                                <i class="fa fa-square no-padding ok"></i>
                                <em class="padding-right-10">
                                    <?php
                                    echo __('Ok');
                                    ?>
                                </em>
                                <i class="fa fa-square no-padding warning"></i>
                                <em class="padding-right-10">
                                    <?php
                                    echo __('Warning');
                                    ?>
                                </em>
                                <i class="fa fa-square no-padding critical"></i>
                                <em class="padding-right-10">
                                    <?php
                                    echo __('Critical');
                                    ?>
                                </em>
                                <i class="fa fa-square no-padding unknown"></i>
                                <em class="padding-right-10">
                                    <?php
                                    echo __('Unknown');
                                    ?>
                                </em>
                                <i class="fa fa-square no-padding text-primary"></i>
                                <em class="padding-right-10">
                                    <?php
                                    echo __('Not monitored');
                                    ?>
                                </em>
                            </div>
                            <div class="ml-auto" ng-show="showInfoForDisabledService && disabledServices > 0">
                                <span class="padding-7 bg-warning-50 border border-warning rounded-lg">
                                    <span class="icon-stack icon-stack-sm margin-bottom-5">
                                        <i class="base-7 icon-stack-2x color-warning-600"></i>
                                        <i class="fas fa-exclamation icon-stack-1x text-white"></i>
                                    </span>
                                    <?= __('Event correlation includes disabled services!'); ?>
                                    <span class="help-block">
                                        [
                                        <?= __('Status for disabled service'); ?>
                                        <i class="fas fa-equals"></i>
                                        <span ng-switch="stateForDisabledService">
                                            <i class="fa fa-square no-padding ok"
                                               ng-switch-when="0"></i>
                                            <i class="fa fa-square no-padding warning"
                                               ng-switch-when="1"></i>
                                            <i class="fa fa-square no-padding critical"
                                               ng-switch-when="2"></i>
                                            <i class="fa fa-square no-padding unknown"
                                               ng-switch-when="3"></i>
                                        </span>

                                        ]
                                    </span>
                                    <?php if ($this->Acl->hasPermission('index', 'EventcorrelationSettings', 'EventcorrelationModule')): ?>
                                        <a class="btn btn-outline-warning btn-xs btn-w-m waves-effect waves-themed"
                                           ui-sref="EventcorrelationsSettingsIndex">
                                            <i class="fa fa-gears"></i>
                                            <?= __('Go to "Event Correlation Globals"'); ?>
                                        </a>
                                    <?php endif; ?>
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- EVC -->
                    <div>
                        <div class="widget-body evkWidgetBody">

                            <div id="evkDrawPad" style="position: relative;">
                                <div ng-repeat-start="evcLayer in evcTree" class="layerContainer globalLayerContainer"
                                     id="layer_{{$index+1}}" data-set-height="{{($index+1 > 1)?1:0}}"
                                     ng-init="layerIndex = $index">
                                    <div ng-repeat="(virtualServiceId, services) in evcLayer"
                                         id="servicesContainer_{{virtualServiceId}}">
                                        <div ng-repeat="eventCorrelation in services" class="service"
                                             ng-class="{'serviceDisabled disabledIcon': eventCorrelation.service.disabled}"
                                             id="service_{{eventCorrelation.id}}"
                                             ng-mouseenter="showEvcServicestatusDelayed(eventCorrelation.service.id)"
                                             ng-mouseleave="cancelEvcServicestatusDelayTimer()">
                                            <div class="serviceStateColor pull-left {{eventCorrelation.service.servicestatus.cssClass}}"></div>
                                            <div class="serviceInformation">
                                                <div class="hosttext ellipsis"
                                                     title="{{eventCorrelation.service.host.name}}">
                                                    <i class="fa fa-desktop"></i>
                                                    <?php if ($this->Acl->hasPermission('browser', 'hosts', '')): ?>
                                                        <a ui-sref="HostsBrowser({id:eventCorrelation.service.host_id})"
                                                           class="txt-color-blueDark">
                                                            {{eventCorrelation.service.host.name}}
                                                        </a>
                                                    <?php else: ?>
                                                        {{eventCorrelation.service.host.name}}
                                                    <?php endif; ?>
                                                </div>
                                                <div class="servicetext ellipsis"
                                                     title="{{eventCorrelation.service.servicename}}">
                                                    <i class="fa"
                                                       ng-class="{'fa-gear': eventCorrelation.service.service_type !== <?php echo EVK_SERVICE; ?>, 'fa-sitemap text-primary fa-rotate-90': eventCorrelation.service.service_type === <?php echo EVK_SERVICE; ?>}"></i>
                                                    <?php if ($this->Acl->hasPermission('browser', 'services', '')): ?>
                                                        <a ui-sref="ServicesBrowser({id:eventCorrelation.service.id})"
                                                           class="txt-color-blueDark">
                                                            {{eventCorrelation.service.servicename}}
                                                        </a>
                                                    <?php else: ?>
                                                        {{eventCorrelation.service.servicename}}
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div ng-repeat-end="" class="nodeLayerContainer globalLayerContainer"
                                     ng-show="evcTree[layerIndex+1]" ng-init="$last?positionEvcTimeout():null"
                                     data-set-height="1">
                                    <div ng-repeat="services in evcTree[layerIndex+1]">
                                        <div ng-repeat="eventCorrelation in services">
                                            <div class="operator txt-color-white"
                                                 ng-if="eventCorrelation.operator"
                                                 id="{{eventCorrelation.id}}_nodeOperator"
                                                 data-is-positioned="0">
                                                {{eventCorrelation.operator}}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- EVC end -->

                </div>

            </div>
        </div>
    </div>
</div>

<evc-servicestatus></evc-servicestatus>
