var EvcRenderer = (function(){

    /**
     * @constructor
     */
    function EvcRenderer(){

    }

    /**
     * @param object evcTree
     */
    EvcRenderer.prototype.renderEvc = function($scope_evcTree){
        //remove old lines
        $('.connector').remove();

        var idsToConnect = [];

        for(var evcLayer in $scope_evcTree){
            if(evcLayer === '$$hashKey'){
                //$$hashKey is used by AngularJS to track changes
                continue;
            }

            var operatorPositionsPerLayer = {};
            for(var services in $scope_evcTree[evcLayer]){
                if(services === '$$hashKey'){
                    //$$hashKey is used by AngularJS to track changes
                    continue;
                }

                var leftSideServiceGroupForOperatorPosition = {};
                for(var eventCorrelation in $scope_evcTree[evcLayer][services]){
                    if(eventCorrelation === '$$hashKey'){
                        //$$hashKey is used by AngularJS to track changes
                        continue;
                    }

                    var evc = $scope_evcTree[evcLayer][services][eventCorrelation];
                    var height = null;
                    var position = null;
                    var operatorTop = null;

                    if(evcLayer === '1'){
                        //Calculate position of first layer operators (the first column on the left side)
                        //We don't need to do an expensive collision/overlapping checks here
                        //first layer can never overlap

                        //Get position of the connected operator services (left side)
                        var $operatorsServicesContainer = $('#servicesContainer_' + evc.id);
                        if(_.isEmpty($operatorsServicesContainer)){
                            //Is this a _vService the parent got deleted?
                            //var $operatorsServicesContainer = $('#servicesContainer_' + evc.id+'_vService');
                        }
                        //console.log( evc);
                        //console.log($operatorsServicesContainer);


                        height = $operatorsServicesContainer.height();
                        position = $operatorsServicesContainer.position();


                        operatorTop = parseInt((height / 2 + position.top) - (38 / 2), 10); //38px is the operator height

                        //Set operator position
                        $('#' + evc.id + '_nodeOperator').css({
                            position: 'absolute',
                            top: operatorTop
                        });

                        //Set position of connected services on the right side of the operator
                        $('#service_' + evc.id).css({
                            position: 'absolute',
                            top: operatorTop
                        });

                        //Save ids that should be connected with lines (from -> to)
                        idsToConnect.push([evc.id, evc.id]);


                        for(var indexToConnect in $scope_evcTree[evcLayer - 1][evc.id]){
                            //Connect real (leftes side of EVC) services to operator
                            var connectTo = $scope_evcTree[evcLayer - 1][evc.id][indexToConnect];

                            //Save ids that should be connected with lines (from -> to)
                            idsToConnect.push([connectTo.parent_id, connectTo.id]);
                        }
                    }

                    if(evcLayer !== '0'){
                        //Create an hashmap, with an array of all left side services
                        //where the operator should get centered between.
                        if(!leftSideServiceGroupForOperatorPosition.hasOwnProperty(evc.parent_id)){
                            leftSideServiceGroupForOperatorPosition[evc.parent_id] = [];
                        }
                        leftSideServiceGroupForOperatorPosition[evc.parent_id].push(evc.id);
                    }
                }

                if(evcLayer !== '0'){
                    //evcLayer 0 has no operators connected to  - ignore
                    //Center operator between left side services
                    //Check for collision/overlapping of operators using the HTML attribute "data-is-positioned".

                    var allTopPositions = [];
                    for(var operatorId in leftSideServiceGroupForOperatorPosition){
                        for(var serviceIndex in leftSideServiceGroupForOperatorPosition[operatorId]){
                            var serviceId = leftSideServiceGroupForOperatorPosition[operatorId][serviceIndex];
                            var _position = $('#service_' + serviceId).position();
                            allTopPositions.push(parseInt(_position.top, 10));

                            //Save ids that should be connected with lines (from -> to)
                            if(operatorId !== null && operatorId !== 'null'){
                                idsToConnect.push([operatorId, serviceId]);
                            }
                        }

                        var deepestPosition = Math.max.apply(null, allTopPositions);
                        var highestPosition = Math.min.apply(null, allTopPositions);
                        var gapCenterPosition = (deepestPosition - highestPosition) / 2 + (38 / 2);
                        var operatorTopPosition = deepestPosition - gapCenterPosition + (38 / 2);

                        do{
                            var hasCollition = false;
                            for(var id in operatorPositionsPerLayer){

                                if((
                                    operatorTopPosition >= operatorPositionsPerLayer[id].start
                                    && operatorTopPosition <= operatorPositionsPerLayer[id].end
                                ) || (
                                    (operatorTopPosition + 38 + 3) >= operatorPositionsPerLayer[id].start &&
                                    (operatorTopPosition + 38 + 3) <= operatorPositionsPerLayer[id].end
                                )
                                ){
                                    hasCollition = true;
                                }
                            }
                            operatorTopPosition++;
                        }while(hasCollition);


                        //Set operator position
                        $('#' + operatorId + '_nodeOperator').css({
                            position: 'absolute',
                            top: operatorTopPosition
                        });

                        //Set position of connected services on the right side of the operator
                        $('#service_' + operatorId).css({
                            position: 'absolute',
                            top: operatorTopPosition
                        });

                        //Save position for collition check of other operators
                        operatorPositionsPerLayer[operatorId] = {
                            start: operatorTopPosition,
                            end: operatorTopPosition + 38 + 3 //38 is the operator itself, 3 is fancy spacing
                        };


                        //Connect operator to service (left to right)
                        //Save ids that should be connected with lines (from -> to)
                        if(operatorId !== null && operatorId !== 'null'){
                            idsToConnect.push([operatorId, operatorId]);
                        }
                    }


                }
            }
        }

        for(var i in idsToConnect){
            var connection = idsToConnect[i];

            var line = new $.connect('#service_' + connection[1], '#' + connection[0] + '_nodeOperator', {
                'container': '#evkDrawPad',
                'mainDivClass': 'evkWidgetBody'
            });
        }

        //Set hight of first layerContainer to all other layerContainers to fix CSS
        var height = $('#layer_1').height();
        $('*[data-set-height="1"]').height(height);
    };


    return EvcRenderer;
}).call(this);

