angular.module('openITCOCKPIT')
    .controller('EventcorrelationsViewController', function($scope, $http, $stateParams, $timeout){

        $scope.id = $stateParams.id;
        var timer;

        $scope.init = true;
        $scope.load = function(){
            $http.get("/eventcorrelation_module/eventcorrelations/view/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.evcTree = result.data.evcTree;
                $scope.rootElement = result.data.rootElement;
                $scope.hasWritePermission = result.data.hasWritePermission;
                $scope.stateForDisabledService = parseInt(result.data.stateForDisabledService, 10);
                $scope.showInfoForDisabledService = parseInt(result.data.showInfoForDisabledService, 10);
                $scope.disabledServices = parseInt(result.data.disabledServices, 10);
                $scope.init = false;

            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };

        $scope.positionEvcTimeout = function(){
            $timeout($scope.renderEvc, 100);
        };

        $scope.renderEvc = function(){
            $EvcRenderer = new EvcRenderer();
            $EvcRenderer.renderEvc($scope.evcTree);
        };

        //Call backs for EVC Servicestatus tooltip
        $scope.showEvcServicestatusDelayed = function(serviceId){
            timer = $timeout(function(){
                //Method is in EvcServicestatusDirective
                $scope.showEvcServicestatus(serviceId);
            }, 500);
        };

        $scope.cancelEvcServicestatusDelayTimer = function(){
            $timeout.cancel(timer);
        };


        //Fire on page load
        $scope.load();
    });
