angular.module('openITCOCKPIT').directive('evcWidget', function($http){
    return {
        restrict: 'E',
        templateUrl: '/eventcorrelation_module/eventcorrelations/evcWidget.html',
        scope: {
            'widget': '='
        },

        controller: function($scope, $sce){
            /** public vars **/
            $scope.init = true;
            $scope.evc = {
                host_id: null
            };


            $scope.load = function(){
                $http.get("/eventcorrelation_module/eventcorrelations/evcWidget.json", {
                    params: {
                        'angular': true,
                        'widgetId': $scope.widget.id
                    }
                }).then(function(result){
                    $scope.evc.host_id = result.data.host_id;
                    $scope.ACL = result.data.ACL;

                    //Do not trigger watch on page load
                    if($scope.evc.host_id !== null){
                        loadEvcSummaryHtml();
                    }

                    setTimeout(function(){
                        $scope.init = false;
                    }, 250);
                });
            };

            $scope.loadEvcs = function(){
                $http.get("/eventcorrelation_module/eventcorrelations/index/sort:Host.name/direction:asc.json", {}
                ).then(function(result){
                    var evcs = [];
                    for(var i in result.data.all_evc_hosts){
                        evcs.push({
                            id: parseInt(result.data.all_evc_hosts[i].Host.id, 10),
                            name: result.data.all_evc_hosts[i].Host.name
                        });
                    }

                    $scope.evcs = evcs;
                });
            };

            $scope.hideConfig = function(){
                $scope.$broadcast('FLIP_EVENT_IN');
                $scope.load();
            };
            $scope.showConfig = function(){
                $scope.$broadcast('FLIP_EVENT_OUT');
                $scope.loadEvcs();
            };

            $scope.saveEvc = function(){
                $http.post("/eventcorrelation_module/eventcorrelations/evcWidget.json?angular=true",
                    {
                        Widget: {
                            id: $scope.widget.id
                        },
                        host_id: $scope.evc.host_id
                    }
                ).then(function(result){
                    //Update status
                    $scope.hideConfig();
                });
            };

            var loadEvcSummaryHtml = function(){
                $http.get("/eventcorrelation_module/eventcorrelations/summary_view_table/" + $scope.evc.host_id + ".html", {}).then(
                    function(result){
                        $scope.evcHtml = $sce.trustAsHtml(result.data);
                    });
            };

            /** Page load / widget get loaded **/
            $scope.load();


        },

        link: function($scope, element, attr){

        }
    };
});
